{
  "name": "vite-min-template",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint src --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview",
    "test": "npm run jest"
  },
  "dependencies": {
    "@codemirror/lang-javascript": "^6.2.2",
    "@mantine/charts": "^7.16.3",
    "@mantine/core": "^7.13.2",
    "@mantine/dates": "^7.13.2",
    "@mantine/form": "^7.13.2",
    "@mantine/hooks": "^7.13.2",
    "@mantine/notifications": "^7.13.2",
    "@mantine/vanilla-extract": "^7.13.2",
    "@reduxjs/toolkit": "^2.3.0",
    "@tabler/icons-react": "^3.19.0",
    "@uiw/react-codemirror": "^4.23.5",
    "@vanilla-extract/css": "^1.16.0",
    "axios": "^1.6.1",
    "clsx": "^2.1.1",
    "dayjs": "^1.11.10",
    "dotenv": "^16.3.1",
    "handsontable": "^14.0.0",
    "history": "^5.3.0",
    "jwt-decode": "^4.0.0",
    "moment": "^2.30.1",
    "react": "^18.2.0",
    "react-doc-viewer": "^0.1.14",
    "react-dom": "^18.2.0",
    "react-file-viewer": "^1.2.1",
    "react-redux": "^8.1.3",
    "react-router-dom": "^6.19.0",
    "reactstrap": "^9.2.2",
    "recharts": "^2.15.1",
    "tailwind-merge": "^2.0.0",
    "tests": "^0.4.2"
  },
  "devDependencies": {
    "@testing-library/react": "^14.1.2",
    "@types/mocha": "^10.0.5",
    "@types/node": "^20.9.0",
    "@types/react": "^18.2.35",
    "@types/react-dom": "^18.2.14",
    "@typescript-eslint/eslint-plugin": "^6.9.1",
    "@typescript-eslint/parser": "^6.9.1",
    "@vanilla-extract/vite-plugin": "^3.9.0",
    "@vitejs/plugin-react": "^4.1.1",
    "eslint": "^8.53.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.4",
    "jest": "^29.7.0",
    "postcss": "^8.4.31",
    "postcss-preset-mantine": "1.11.0",
    "postcss-simple-vars": "^7.0.1",
    "typescript": "^5.2.2",
    "vite": "^4.5.0",
    "vitest": "^0.34.6"
  },
  "packageManager": "yarn@4.0.1"
}
